
Ruby - Bug #13268

[DOC] Restore docs for String#<<

03/02/2017 10:23 AM - stomar (Marcus Stollsteimer)

Status: Closed   

Priority: Normal   

Assignee: stomar (Marcus Stollsteimer)   

Target version:    

ruby -v:  Backport: 2.2: DONTNEED, 2.3: DONTNEED, 2.4:

DONE

Description

Since r56021 (Feature #12333), String#<< is not documented; the patch fixes this.

A backport should only be needed for 2.4.

Related issues:

Related to Ruby - Feature #12333: `String#concat`, `Array#concat`, `String#pr... Closed

Associated revisions

Revision a698d99703fc55c83533ab6fbe25c1797e8746c6 - 03/02/2017 10:31 AM - stomar (Marcus Stollsteimer)

string.c: restore documentation for String#<<

string.c: [DOC] restore documentation for String#<<

which became undocumented with r56021; fix a typo.

[ruby-core:79865] [Bug #13268]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57758 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision a698d997 - 03/02/2017 10:31 AM - stomar (Marcus Stollsteimer)

string.c: restore documentation for String#<<

string.c: [DOC] restore documentation for String#<<

which became undocumented with r56021; fix a typo.

[ruby-core:79865] [Bug #13268]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57758 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 5ee565d5a784e9f319b7b81be09520073c39ebaf - 03/12/2017 04:20 PM - naruse (Yui NARUSE)

merge revision(s) 57758: [Backport #13268]

    string.c: restore documentation for String#<<

    * string.c: [DOC] restore documentation for String#<<

      which became undocumented with r56021; fix a typo.

      [ruby-core:79865] [Bug #13268]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@57919 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 5ee565d5 - 03/12/2017 04:20 PM - naruse (Yui NARUSE)

merge revision(s) 57758: [Backport #13268]

    string.c: restore documentation for String#<<

    * string.c: [DOC] restore documentation for String#<<

      which became undocumented with r56021; fix a typo.

      [ruby-core:79865] [Bug #13268]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@57919 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/02/2017 10:23 AM - stomar (Marcus Stollsteimer)

- Related to Feature #12333: `String#concat`, `Array#concat`, `String#prepend` to take multiple arguments added
#2 - 03/02/2017 10:32 AM - stomar (Marcus Stollsteimer)

- Status changed from Open to Closed

Applied in changeset r57758.

string.c: restore documentation for String#<<

string.c: [DOC] restore documentation for String#<<

which became undocumented with r56021; fix a typo.

[ruby-core:79865] [Bug #13268]

#3 - 03/12/2017 04:20 PM - naruse (Yui NARUSE)

- Backport changed from 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: UNKNOWN to 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: DONE

ruby_2_4 r57919 merged revision(s) 57758.

#4 - 03/14/2017 01:09 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: DONE to 2.2: DONTNEED, 2.3: DONTNEED, 2.4: DONE
